void DoDeleteRef(WindowPtr theWindow);
void DoDeleteInstantiation(WindowPtr theWindow);
void DoNewRef(WindowPtr theWindow);
void DoNewInstantiation(WindowPtr theWindow);
void DoEditRef(WindowPtr theWindow);
void DoEditInstantiation(WindowPtr theWindow);
